Edit escrow bucket settings

This request edits a loan's Escrow Buckets.

   Click here to learn more about this request

There is a vast amount of configuration options available for escrow. Note the following when using this request:

The EscrowSubsetOptions object is nested within the Loans entity, and it holds the configuration options for Escrow Buckets.

Users can configure up to 25 escrow buckets within their accounts.

For an example of how configuring escrow buckets works within the UI, take a look at our Escrow buckets article.

Database

For information on escrow database tables, see the following articles:

Database – Escrow Subset Entity (escrow_subset_entity)

Database – Escrow Subset Options (escrow_subset_options_entity)

{
     "EscrowSubsetOptions": {
          "results": [
               {
                    "entityType": "Entity.Loan",
                    "title": "API Demo Bucket",
                    "payoffOption": "loan.escrowpayoff.standard",
                    "paymentApplication": "loan.escrowpmtapp.standard",
                    "aprInclude": 1,
                    "scheduleInclude": false,
                    "disclosureLnAmtAdd": "false",
                    "availability": "loan.escrowAvailability.both",
                    "interestBearing": false,
                    "escrowAnalysisEnabled": 0,
                    "cushion": 1,
                    "cushionFixedAmount": 100,
                    "cushionPercentage": 0,
                    "escrowComputationYearStartDate": "01/01/2021",
                    "nextEscrowAnalysisDate": "01/01/2022",
                    "deficiencyDelimitingDPD": 30,
                    "deficiencyDaysToPay": 30,
                    "deficiencyDelimitingAmount": 1,
                    "deficiencyDelimitingDollar": 0,
                    "deficiencyDelimitingPercentage": 0,
                    "deficiencyCatchupPaymentNumber": 2,
                    "deficiencyActionA": 1,
                    "deficiencyActionB": 0,
                    "deficiencyActionC": 0,
                    "shortageDaysToPay": 30,
                    "shortageCatchupPaymentNumber": 2,
                    "shortageDelimitingAmount": 1,
                    "shortageDelimitingDollar": 0,
                    "shortageDelimitingPercentage": 0,
                    "shortageActionA": 1,
                    "shortageActionB": 0,
                    "surplusAllowedSurplus": 50,
                    "surplusDaysToRefund": 30,
                    "surplusActionA": 1,
                    "surplusActionB": 0,
                    "surplusActionC": 1,
                    "__update": true,
                    "__id": 4
               }
          ]
     }
}
Path Params
int32
required

This is the ID of the loan.

Body Params
EscrowSubsetOptions
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json